ONVIF::Media::Elements::GetAudioOutputConfigurationOptionsResponse(3pm)

NAME
ONVIF::Media::Elements::GetAudioOutputConfigurationOptionsResponse

DESCRIPTION
Perl data type class for the XML Schema defined element GetAudioOutputConfigurationOptionsResponse from the namespace http://www.onvif.org/ver10/media/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Options

     $element->set_Options($data);
     $element->get_Options();

METHODS

  new
 my $element = ONVIF::Media::Elements::GetAudioOutputConfigurationOptionsResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   Options =>  { # ONVIF::Media::Types::AudioOutputConfigurationOptions
     OutputTokensAvailable => $some_value, # ReferenceToken
     SendPrimacyOptions =>  $some_value, # anyURI
     OutputLevelRange =>  { # ONVIF::Media::Types::IntRange
       Min =>  $some_value, # int
       Max =>  $some_value, # int
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL